apiVersion: v1
kind: Service
metadata:
  name: styleguide
  namespace: planblick
  labels:
    app: styleguide
spec:
  ports:
  - name: http
    port: 3000
    targetPort: 3000
  selector:
    app: styleguide
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: styleguide
  namespace: planblick
  labels:
    app: styleguide
spec:
  replicas: 1
  selector:
    matchLabels:
      app: styleguide
  template:
    metadata:
      labels:
        app: styleguide
        app.instance: new
    spec:
      containers:
      - name: styleguide
        image: registry.gitlab.com/planblick_os/tools/styleguide:[version]
        env:
        - name: URL
          value: "style.crowdsoft.net"
        ports:
        - name: http
          containerPort: 3000
        livenessProbe:
          httpGet:
            path: /
            port: 3000
          periodSeconds: 11
          timeoutSeconds: 10
          successThreshold: 1
          failureThreshold: 12
      imagePullSecrets:
        - name: regcred